> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /gog/products/search

> Search the GOG.com catalog with keyword and filters

**Price:** 5 credits per 48 results



## OpenAPI

````yaml /openapi/games.json post /api/gog/products/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/gog/products/search:
    post:
      tags:
        - /gog
      summary: /gog/products/search
      description: |-
        Search the GOG.com catalog with keyword and filters

        **Price:** 5 credits per 48 results
      operationId: __api_gog_products_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GogProductSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GogSearchProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GogProductSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        order:
          $ref: '#/components/schemas/GogSortOrder'
          default: bestselling
        product_type:
          items:
            $ref: '#/components/schemas/GogProductType'
          type: array
          default: []
        genres:
          items:
            $ref: '#/components/schemas/GogGenre'
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
        systems:
          items:
            $ref: '#/components/schemas/GogSystem'
          type: array
          default: []
        features:
          items:
            $ref: '#/components/schemas/GogFeature'
          type: array
          default: []
        languages:
          items:
            $ref: '#/components/schemas/GogLanguage'
          type: array
          default: []
        release_statuses:
          items:
            $ref: '#/components/schemas/GogReleaseStatus'
          type: array
          default: []
        discounted:
          type: boolean
          default: false
        free:
          type: boolean
          default: false
        price_min:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        price_max:
          anyOf:
            - type: number
              minimum: 0
            - type: 'null'
        release_year_min:
          anyOf:
            - type: integer
              minimum: 1980
            - type: 'null'
        release_year_max:
          anyOf:
            - type: integer
              minimum: 1980
            - type: 'null'
        country:
          $ref: '#/components/schemas/GogCountry'
          default: US
        locale:
          $ref: '#/components/schemas/GogLocale'
          default: en-US
        currency:
          $ref: '#/components/schemas/GogCurrency'
          default: USD
      type: object
      required:
        - count
    GogSearchProduct:
      properties:
        '@type':
          type: string
          default: GogSearchProduct
        id:
          type: integer
        game_title:
          type: string
        slug:
          anyOf:
            - type: string
            - type: 'null'
        product_type:
          anyOf:
            - type: string
            - type: 'null'
        developers:
          items:
            type: string
          type: array
          default: []
        publishers:
          items:
            type: string
          type: array
          default: []
        operating_systems:
          items:
            type: string
          type: array
          default: []
        genres:
          items:
            $ref: '#/components/schemas/GogNamedSlug'
          type: array
          default: []
        tags:
          items:
            $ref: '#/components/schemas/GogNamedSlug'
          type: array
          default: []
        features:
          items:
            $ref: '#/components/schemas/GogNamedSlug'
          type: array
          default: []
        price:
          anyOf:
            - $ref: '#/components/schemas/GogPrice'
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        release_date:
          anyOf:
            - type: string
            - type: 'null'
        store_release_date:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        cover:
          anyOf:
            - type: string
            - type: 'null'
        logo:
          anyOf:
            - type: string
            - type: 'null'
        screenshots:
          items:
            type: string
          type: array
          default: []
        store_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - game_title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    GogSortOrder:
      type: string
      enum:
        - bestselling
        - trending
        - alphabetical
        - price_low
        - price_high
        - release_new
        - rating
        - discount
    GogProductType:
      type: string
      enum:
        - game
        - pack
        - dlc
        - extras
    GogGenre:
      type: string
      enum:
        - action
        - adventure
        - racing
        - rpg
        - shooter
        - simulation
        - sports
        - strategy
        - arcade
        - building
        - card-game
        - combat
        - economic
        - educational
        - fpp
        - metroidvania
        - pointandclick
        - puzzle
        - realtime
        - survival
        - tpp
        - teamsport
        - turnbased
        - visual-novel
        - chess
        - comedy
        - detective
        - espionage
        - exploration
        - fantasy
        - fighting
        - hidden-object
        - historical
        - horror
        - jrpg
        - managerial
        - modern
        - mystery
        - narrative
        - naval
        - offroad
        - open-world
        - pinball
        - platformer
        - programming
        - rally
        - rougelike
        - sandbox
        - scifi
        - shoot-em-up
        - soccer
        - stealth
        - tactical
        - touring
        - virtuallife
    GogSystem:
      type: string
      enum:
        - windows
        - osx
        - linux
    GogFeature:
      type: string
      enum:
        - single
        - multi
        - coop
        - achievements
        - leaderboards
        - controller_support
        - cloud_saves
        - overlay
        - galaxy_multiplayer
    GogLanguage:
      type: string
      enum:
        - ar
        - br
        - cn
        - cz
        - da
        - de
        - en
        - es
        - es_mx
        - fi
        - fr
        - gk
        - hu
        - hr
        - id
        - it
        - jp
        - ko
        - nl
        - 'no'
        - pl
        - pt
        - ro
        - ru
        - sv
        - th
        - tr
        - uk
        - vi
        - zh
    GogReleaseStatus:
      type: string
      enum:
        - new-arrival
        - upcoming
        - early-access
    GogCountry:
      type: string
      enum:
        - US
        - GB
        - CA
        - AU
        - DE
        - FR
        - IT
        - ES
        - NL
        - BE
        - AT
        - CH
        - SE
        - 'NO'
        - DK
        - FI
        - IE
        - PT
        - PL
        - CZ
        - HU
        - RO
        - GR
        - UA
        - RU
        - TR
        - BR
        - MX
        - AR
        - CL
        - CO
        - JP
        - KR
        - CN
        - TW
        - HK
        - SG
        - ID
        - TH
        - VN
        - PH
        - MY
        - IN
        - AE
        - SA
        - IL
        - ZA
        - NZ
    GogLocale:
      type: string
      enum:
        - en-US
        - en-GB
        - de-DE
        - fr-FR
        - it-IT
        - es-ES
        - pt-BR
        - pl-PL
        - ru-RU
        - cs-CZ
        - hu-HU
        - ja-JP
        - ko-KR
        - zh-Hans
        - zh-Hant
    GogCurrency:
      type: string
      enum:
        - USD
        - EUR
        - GBP
        - AUD
        - CAD
        - CHF
        - SEK
        - NOK
        - DKK
        - PLN
        - CZK
        - HUF
        - RUB
        - BRL
        - MXN
        - JPY
        - KRW
        - CNY
        - TRY
        - INR
        - ZAR
        - NZD
    GogNamedSlug:
      properties:
        '@type':
          type: string
          default: GogNamedSlug
        name:
          type: string
        slug:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    GogPrice:
      properties:
        '@type':
          type: string
          default: GogPrice
        base_price:
          anyOf:
            - type: number
            - type: 'null'
        final_price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        discount_percent:
          anyOf:
            - type: integer
            - type: 'null'
        bonus_wallet_funds:
          anyOf:
            - type: number
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````